#pragma once
#include "Entity.h"
#include "EntityStateGravity.h"
//实体颗粒：雪花
class PeSnowflake :
    public ActionEntity
{
public:
    PeSnowflake();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    EntityStateGravity stateGravity;
    bool leave = false;
};

//设置爆炸雪花
void SetPeSnowflakeExplode(std::shared_ptr<Entity> parent, float x, float y, int nMin, int nMax);